v1.0
get
/ec-codelist-svc/rest/v1.0/codelist/values/asOfDate/{id}
Get a snapshot of codelist values as they were on a specific date.
Request
Path Parameters
-
id(required): string(uuid)
Name of the fields. It can be code name, tag name or code ID.Example:
B1B8327AFAA6412287106192AB5984EF
Query Parameters
-
asofdate(required): string
Date till where data is required
-
includeHidden: boolean
Indicates whether hidden code values should be returned. Allowed values are true or false. Default is falseDefault Value:
false -
language: string
Language for expected response codelist. This overrides user preference for language. This field is case sensitive and accepts values like en, ja etc. By default it's english (en)
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string)Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Nested Schema : code
Type:
objectNested Schema : items
Type:
objectExamples
400 Response
Missing required field (codeName).
Root Schema : CodeListResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
500 Response
Internal server error
Root Schema : CodeListResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.